@wix/himalaya-cli 0.1513.0 → 0.1515.0
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/dist/authoring-runtime/node_modules/@wix/himalaya/dist/_types/core/dev-server/src/builder.d.ts +9 -0
- package/dist/authoring-runtime/node_modules/@wix/himalaya/dist/_types/core/ts/src/schema.d.ts +20 -0
- package/dist/authoring-runtime/node_modules/@wix/himalaya/dist/_types/core/ts/src/validator.d.ts +15 -0
- package/dist/authoring-runtime/node_modules/@wix/himalaya/dist/core.mjs +8 -2
- package/dist/authoring-runtime/node_modules/@wix/himalaya/dist/sdui.mjs +8 -2
- package/dist/cli.mjs +370 -55
- package/dist/preview-assets.generated.bin +0 -0
- package/package.json +2 -2
|
@@ -56,6 +56,10 @@ export interface ScreenDescriptor {
|
|
|
56
56
|
/** The page's title for a host that shows it in its own navigation bar. Mirror of
|
|
57
57
|
* ScreenDescriptor.host_title in core.proto. */
|
|
58
58
|
hostTitle?: import("@wix/himalaya/core").HostTitle;
|
|
59
|
+
/** RFC 0066 — "" / "visible" (default) | "hidden": hide the bottom tab bar while this screen
|
|
60
|
+
* is the visible top of its tab's stack. Mirror of ScreenDescriptor.tab_bar_visibility in
|
|
61
|
+
* core.proto. */
|
|
62
|
+
tabBarVisibility?: string;
|
|
59
63
|
}
|
|
60
64
|
/** Tier 3/4 + embeddable WebView behavior. Mirror of WebViewConfig in core.proto
|
|
61
65
|
* (RFC 0038). All fields optional; zero values reproduce legacy behavior. */
|
|
@@ -806,6 +810,7 @@ export declare function skeleton(props?: {
|
|
|
806
810
|
height?: number;
|
|
807
811
|
cornerRadius?: number;
|
|
808
812
|
count?: number;
|
|
813
|
+
style?: "static" | "shimmer";
|
|
809
814
|
}, opts?: {
|
|
810
815
|
id?: string;
|
|
811
816
|
}): Component;
|
|
@@ -1404,6 +1409,8 @@ export declare function video(props: {
|
|
|
1404
1409
|
muted?: boolean;
|
|
1405
1410
|
height?: number;
|
|
1406
1411
|
aspectRatio?: number;
|
|
1412
|
+
/** #4669 — "fit" (default) letterboxes; "fill" covers the frame and crops. */
|
|
1413
|
+
contentMode?: "fit" | "fill";
|
|
1407
1414
|
}, opts?: {
|
|
1408
1415
|
id?: string;
|
|
1409
1416
|
}): Component;
|
|
@@ -1542,6 +1549,8 @@ export declare function lottie(props: {
|
|
|
1542
1549
|
autoplay?: boolean;
|
|
1543
1550
|
speed?: number;
|
|
1544
1551
|
height?: number;
|
|
1552
|
+
/** #4669 — `$service:` nonce; each change of its value plays the animation once. */
|
|
1553
|
+
playPath?: string;
|
|
1545
1554
|
}, opts?: {
|
|
1546
1555
|
id?: string;
|
|
1547
1556
|
}): Component;
|
package/dist/authoring-runtime/node_modules/@wix/himalaya/dist/_types/core/ts/src/schema.d.ts
CHANGED
|
@@ -1152,11 +1152,16 @@ export interface WorkerSubtreeProps {
|
|
|
1152
1152
|
policy: WorkerSubtreePolicy;
|
|
1153
1153
|
fallback: Component;
|
|
1154
1154
|
}
|
|
1155
|
+
/** A loading placeholder bar (or `count` rows of them). `style` (#4669): absent ⇒ the
|
|
1156
|
+
* renderer's default loading motion (`kit.motionDefaults`), `"static"` ⇒ a flat bar,
|
|
1157
|
+
* `"shimmer"` ⇒ a highlight sweep (≈1.2 s) in the kit's skeleton colours that runs even under
|
|
1158
|
+
* `motionDefaults: "none"`. Reduced motion holds every style static. */
|
|
1155
1159
|
export interface SkeletonProps {
|
|
1156
1160
|
width?: number;
|
|
1157
1161
|
height?: number;
|
|
1158
1162
|
cornerRadius?: number;
|
|
1159
1163
|
count?: number;
|
|
1164
|
+
style?: "static" | "shimmer";
|
|
1160
1165
|
}
|
|
1161
1166
|
export interface SearchFieldProps {
|
|
1162
1167
|
placeholder?: string;
|
|
@@ -2074,6 +2079,8 @@ export interface VideoProps {
|
|
|
2074
2079
|
muted?: boolean;
|
|
2075
2080
|
height?: number;
|
|
2076
2081
|
aspectRatio?: number;
|
|
2082
|
+
/** #4669 — `"fit"` (default) letterboxes; `"fill"` covers the frame and crops (poster too). */
|
|
2083
|
+
contentMode?: "fit" | "fill";
|
|
2077
2084
|
}
|
|
2078
2085
|
export type MediaKind = "audio" | "video" | "podcast" | "radio";
|
|
2079
2086
|
export type MediaPresentation = "inline" | "card" | "compact" | "mini" | "hidden";
|
|
@@ -2201,6 +2208,10 @@ export interface LottieProps {
|
|
|
2201
2208
|
autoplay?: boolean;
|
|
2202
2209
|
speed?: number;
|
|
2203
2210
|
height?: number;
|
|
2211
|
+
/** #4669 — `$service:` binding to a nonce: each CHANGE of the resolved value plays the
|
|
2212
|
+
* animation once from frame 0. A Lottie bound this way is a one-shot (`loop` is treated as
|
|
2213
|
+
* false). The first value plays only when `autoplay` is true; reduced motion never replays. */
|
|
2214
|
+
playPath?: string;
|
|
2204
2215
|
}
|
|
2205
2216
|
/** A Rive animation (motion grammar, Phase-2). `source` = https .riv URL shipped OTA;
|
|
2206
2217
|
* `artboard`/`stateMachine` select within it. Native: rive-ios/rive-android; web:
|
|
@@ -3030,6 +3041,9 @@ export interface TopBarConfig {
|
|
|
3030
3041
|
scrollBehavior?: string;
|
|
3031
3042
|
/** RFC 0066 amendment — truthy ⇒ leaving the presentation asks to discard. Unset/unresolved ⇒ false. */
|
|
3032
3043
|
dirtyPath?: string;
|
|
3044
|
+
/** RFC 0066 amendment — live `visibility` (`$service:`). Resolves to "visible" | "hidden";
|
|
3045
|
+
* anything else, or unresolved, falls back to `visibility`. Not a truthy boolean. */
|
|
3046
|
+
visibilityPath?: string;
|
|
3033
3047
|
}
|
|
3034
3048
|
/** RFC 0066 §1 (+ its "top-bar gap items" amendment) — one top-bar item. Test id `toolbar.<id>`
|
|
3035
3049
|
* (`toolbar-<id>` on web and React Native). Every tap carries an existing `Action`
|
|
@@ -3057,6 +3071,9 @@ export interface ToolbarItem {
|
|
|
3057
3071
|
avatar?: ToolbarAvatar;
|
|
3058
3072
|
/** Live label; `label` is the fallback. */
|
|
3059
3073
|
labelPath?: string;
|
|
3074
|
+
/** Long press (touch), secondary click (pointer) or the "More options" accessibility action.
|
|
3075
|
+
* Never also fires `onTap`; ignored while disabled or loading, in More Actions, and with a `menu`. */
|
|
3076
|
+
onLongPress?: Action;
|
|
3060
3077
|
}
|
|
3061
3078
|
/** RFC 0066 amendment — an avatar item. Images are absolute https URLs (resolve a Wix
|
|
3062
3079
|
* media id with `wixMediaUrl` before publishing). */
|
|
@@ -3536,6 +3553,9 @@ export interface ScreenDescriptor {
|
|
|
3536
3553
|
/** RFC 0010 (top-bar amendment) — per-screen top bar (trailing actions +
|
|
3537
3554
|
* leading/style override). Fully replaces `NavigationConfig.topBarDefault`. */
|
|
3538
3555
|
topBar?: TopBarConfig;
|
|
3556
|
+
/** "" / "visible" (default) | "hidden": hide the bottom tab bar while this screen is the
|
|
3557
|
+
* visible top of its tab's stack (RFC 0066). Static; no effect in a presentation. */
|
|
3558
|
+
tabBarVisibility?: string;
|
|
3539
3559
|
etag?: string;
|
|
3540
3560
|
cacheControl?: CacheControl;
|
|
3541
3561
|
telemetryScreenName?: string;
|
package/dist/authoring-runtime/node_modules/@wix/himalaya/dist/_types/core/ts/src/validator.d.ts
CHANGED
|
@@ -151,6 +151,9 @@ export declare const screenDescriptorSchema: {
|
|
|
151
151
|
readonly topBar: {
|
|
152
152
|
readonly $ref: "#/$defs/topBarConfig";
|
|
153
153
|
};
|
|
154
|
+
readonly tabBarVisibility: {
|
|
155
|
+
readonly type: "string";
|
|
156
|
+
};
|
|
154
157
|
readonly logicBundle: {
|
|
155
158
|
readonly type: "object";
|
|
156
159
|
readonly additionalProperties: false;
|
|
@@ -410,6 +413,9 @@ export declare const screenDescriptorSchema: {
|
|
|
410
413
|
readonly dirtyPath: {
|
|
411
414
|
readonly type: "string";
|
|
412
415
|
};
|
|
416
|
+
readonly visibilityPath: {
|
|
417
|
+
readonly type: "string";
|
|
418
|
+
};
|
|
413
419
|
};
|
|
414
420
|
};
|
|
415
421
|
readonly searchableConfig: {
|
|
@@ -493,6 +499,9 @@ export declare const screenDescriptorSchema: {
|
|
|
493
499
|
readonly labelPath: {
|
|
494
500
|
readonly type: "string";
|
|
495
501
|
};
|
|
502
|
+
readonly onLongPress: {
|
|
503
|
+
readonly $ref: "#/$defs/action";
|
|
504
|
+
};
|
|
496
505
|
};
|
|
497
506
|
};
|
|
498
507
|
readonly toolbarAvatar: {
|
|
@@ -1742,6 +1751,9 @@ export declare const widgetSnapshotSchema: {
|
|
|
1742
1751
|
readonly dirtyPath: {
|
|
1743
1752
|
readonly type: "string";
|
|
1744
1753
|
};
|
|
1754
|
+
readonly visibilityPath: {
|
|
1755
|
+
readonly type: "string";
|
|
1756
|
+
};
|
|
1745
1757
|
};
|
|
1746
1758
|
};
|
|
1747
1759
|
readonly searchableConfig: {
|
|
@@ -1825,6 +1837,9 @@ export declare const widgetSnapshotSchema: {
|
|
|
1825
1837
|
readonly labelPath: {
|
|
1826
1838
|
readonly type: "string";
|
|
1827
1839
|
};
|
|
1840
|
+
readonly onLongPress: {
|
|
1841
|
+
readonly $ref: "#/$defs/action";
|
|
1842
|
+
};
|
|
1828
1843
|
};
|
|
1829
1844
|
};
|
|
1830
1845
|
readonly toolbarAvatar: {
|
|
@@ -8482,6 +8482,9 @@ var screenDescriptorSchema = {
|
|
|
8482
8482
|
// in the schema, `additionalProperties:false` would reject EVERY descriptor
|
|
8483
8483
|
// carrying a top bar (the same trap as logicBundle below).
|
|
8484
8484
|
topBar: { $ref: "#/$defs/topBarConfig" },
|
|
8485
|
+
// RFC 0066 amendment — "" / "visible" (default) | "hidden". A free string like every
|
|
8486
|
+
// chrome discriminator: an unknown value coalesces to "visible" (invariant 6).
|
|
8487
|
+
tabBarVisibility: { type: "string" },
|
|
8485
8488
|
// RFC 0002 — Tier-5 worker bundle reference (LogicBundleRef). Without this in
|
|
8486
8489
|
// the schema, `additionalProperties:false` rejected EVERY T5 descriptor, so the
|
|
8487
8490
|
// admin's pre-push validation 400'd any edit of a T5 screen.
|
|
@@ -8651,7 +8654,9 @@ var screenDescriptorSchema = {
|
|
|
8651
8654
|
titleMenu: { $ref: "#/$defs/topBarTitleMenu" },
|
|
8652
8655
|
subtitlePath: { type: "string" },
|
|
8653
8656
|
scrollBehavior: { type: "string" },
|
|
8654
|
-
dirtyPath: { type: "string" }
|
|
8657
|
+
dirtyPath: { type: "string" },
|
|
8658
|
+
// RFC 0066 amendment "long press, bar visibility, tab-bar visibility" (field 15).
|
|
8659
|
+
visibilityPath: { type: "string" }
|
|
8655
8660
|
}
|
|
8656
8661
|
},
|
|
8657
8662
|
// RFC 0010 "Native top-bar search" (SearchableConfig fields 1–5, 12–15). `placement` stays a free string.
|
|
@@ -8687,7 +8692,8 @@ var screenDescriptorSchema = {
|
|
|
8687
8692
|
content: { $ref: "#/$defs/component" },
|
|
8688
8693
|
loadingPath: { type: "string" },
|
|
8689
8694
|
avatar: { $ref: "#/$defs/toolbarAvatar" },
|
|
8690
|
-
labelPath: { type: "string" }
|
|
8695
|
+
labelPath: { type: "string" },
|
|
8696
|
+
onLongPress: { $ref: "#/$defs/action" }
|
|
8691
8697
|
}
|
|
8692
8698
|
},
|
|
8693
8699
|
toolbarAvatar: {
|
|
@@ -7054,6 +7054,9 @@ var screenDescriptorSchema = {
|
|
|
7054
7054
|
// in the schema, `additionalProperties:false` would reject EVERY descriptor
|
|
7055
7055
|
// carrying a top bar (the same trap as logicBundle below).
|
|
7056
7056
|
topBar: { $ref: "#/$defs/topBarConfig" },
|
|
7057
|
+
// RFC 0066 amendment — "" / "visible" (default) | "hidden". A free string like every
|
|
7058
|
+
// chrome discriminator: an unknown value coalesces to "visible" (invariant 6).
|
|
7059
|
+
tabBarVisibility: { type: "string" },
|
|
7057
7060
|
// RFC 0002 — Tier-5 worker bundle reference (LogicBundleRef). Without this in
|
|
7058
7061
|
// the schema, `additionalProperties:false` rejected EVERY T5 descriptor, so the
|
|
7059
7062
|
// admin's pre-push validation 400'd any edit of a T5 screen.
|
|
@@ -7223,7 +7226,9 @@ var screenDescriptorSchema = {
|
|
|
7223
7226
|
titleMenu: { $ref: "#/$defs/topBarTitleMenu" },
|
|
7224
7227
|
subtitlePath: { type: "string" },
|
|
7225
7228
|
scrollBehavior: { type: "string" },
|
|
7226
|
-
dirtyPath: { type: "string" }
|
|
7229
|
+
dirtyPath: { type: "string" },
|
|
7230
|
+
// RFC 0066 amendment "long press, bar visibility, tab-bar visibility" (field 15).
|
|
7231
|
+
visibilityPath: { type: "string" }
|
|
7227
7232
|
}
|
|
7228
7233
|
},
|
|
7229
7234
|
// RFC 0010 "Native top-bar search" (SearchableConfig fields 1–5, 12–15). `placement` stays a free string.
|
|
@@ -7259,7 +7264,8 @@ var screenDescriptorSchema = {
|
|
|
7259
7264
|
content: { $ref: "#/$defs/component" },
|
|
7260
7265
|
loadingPath: { type: "string" },
|
|
7261
7266
|
avatar: { $ref: "#/$defs/toolbarAvatar" },
|
|
7262
|
-
labelPath: { type: "string" }
|
|
7267
|
+
labelPath: { type: "string" },
|
|
7268
|
+
onLongPress: { $ref: "#/$defs/action" }
|
|
7263
7269
|
}
|
|
7264
7270
|
},
|
|
7265
7271
|
toolbarAvatar: {
|